<?php
session_start();
$currentBaseDir = dirname($_SERVER['PHP_SELF']);
include($_SESSION['basedir']."core.php");

$svaTool = new svaTool();

//print_r($_REQUEST);
$errorCode = 0;

$password = NULL;
$confPasswd = NULL;
// Ajout de nouvel utilisateur
if (isset($_REQUEST['firstName']) && strlen($_REQUEST['firstName']) > 0)
    $firstName = addslashes($_REQUEST['firstName']);
else
    $errorCode = 1;
	
if (isset($_REQUEST['lastName']) && strlen($_REQUEST['lastName']) > 0)
    $lastName = addslashes($_REQUEST['lastName']);
else
    $errorCode = 2;
	
if (isset($_REQUEST['mobilePhone']) && strlen($_REQUEST['mobilePhone']) > 0  && is_numeric($_REQUEST['mobilePhone']))
    $mobilePhone = addslashes($_REQUEST['mobilePhone']);
else
    $errorCode = 3;

if (isset($_REQUEST['localisation']) && strlen($_REQUEST['localisation']) > 0)
    $localisation = addslashes($_REQUEST['localisation']);
else
    $errorCode = 4;
	
$resid = $_REQUEST['id'];
$email = addslashes($_REQUEST['email']);


if ($errorCode == 0) {


$res = $dba->UpdateAddSCCCustomer(1,$resid, $firstName,$lastName, $mobilePhone, "", $localisation, $email,"") ;

   //$errorCode = 10;
}




switch ($errorCode) {

    case 0 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"BASE DE DONNEES MISE A JOUR AVEC SUCCES !\"  }"; 
        break;
    case 1 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"ERREUR ! ENTREZ LE NOM DE L'UTILISATEUR. \"  }";
        break;
    case 2 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"ERREUR ! ENTREZ LE(S) PRENOM(S) DE L'UTILISATEUR. \"  }"; 
        break;
    case 3 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"ERREUR ! VERIFIEZ LE NUMERO DE TELEPHONE DE L'UTILISATEUR.\"  }"; 
        break;
    case 4 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"ERREUR ! ENTREZ LA LOCALISATION DE L'UTILISATEUR.\"  }";
        break;
   /* case 5 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"ERREUR ! LE LOGIN EST INVALIDE.\"  }"; 
        break;
    case 6 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"ERREUR ! L'EMAIL EST INVALIDE.\"  }";
        break;
    /*case 7 : $msg =  "ERREUR ! LE MOT DE PASSE EST INVALIDE.";
        break;
    case 8 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"ERREUR ! LE MOT DE PASSE DE CONFIRMATION EST INVALIDE .!\"  }"; 
        break;
    case 9 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"ERREUR ! LES MOTS DE PASSE NE CONCORDENT PAS.\"  }";
        break; */
    case 13 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"ERREUR ! IMPOSSIBLE DE CREER LE COMPTE. VEUILLEZ RE-ESSAYER ULTERIEUREMENT!\"  }";  break;
	/*
		case 14 : $msg = "{ \"errorCode\": $errorCode,\"errorMessage\" :\"ERREUR ! VEUILLEZ SELECTIONNER LE PLAN TARIFAIRE ASSOCIE AU COMPTE !\"  }";   break; */
   
	 
}


echo $msg ;


?>